Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.util
Class ClassHelper

    java.lang.Object
      com.beasys.commerce.util.ClassHelper

Deprecated See BEA Commerce product offering

    @Deprecated
    public class ClassHelper

extends Object

Helper methods for the Class class

Constructor Summary
`ClassHelper()` Deprecated See BEA Commerce product offering

Method Summary
`static String` | `className(Class clazz)` Deprecated See BEA Commerce product offering
`static String` | `dequalifyName(String clazz)` Deprecated See BEA Commerce product offering
`static String` | `parentName(String fullyQualifiedName)` Deprecated See BEA Commerce product offering
`static String` | `relationIdentifier(String containingClass, String attributeIdentifier, String containedClass)` Deprecated See BEA Commerce product offering

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassHelper

    public ClassHelper()

  Deprecated See BEA Commerce product offering

Method Detail

### className

    public static String className(Class clazz)

  Deprecated See BEA Commerce product offering

### dequalifyName

    public static String dequalifyName(String clazz)

  Deprecated See BEA Commerce product offering

### parentName

    public static String parentName(String fullyQualifiedName)

  Deprecated See BEA Commerce product offering

### relationIdentifier

    public static String relationIdentifier(String containingClass,
                                            String attributeIdentifier,
                                            String containedClass)

  Deprecated See BEA Commerce product offering

  Concoct a "relation identifier" based on containing class, attribute on containing class, and contained class.

  Parameters
    `containingClass` - the fully qualified class name of the containing class
    `attributeIdentifier` - unqualified attribute identifier
    `containedClass` - unqualified name of contained class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved